> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Store Details

> The "Get Store Details" API allows to get store details.



## OpenAPI

````yaml /api-reference/store/openapi.json get /store/customer-access-center/store/{funnelId}
openapi: 3.0.0
info:
  title: Store API
  description: Documentation for store API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Store
    description: Documentation for store API
  - name: Shipping Zone
    description: Documentation for store API
  - name: Shipping Zone Rates
    description: Documentation for store API
  - name: Shipping Carrier
    description: Documentation for store API
  - name: Store Setting
    description: Documentation for store API
  - name: Customer Access Center
    description: Documentation for store API
paths:
  /store/customer-access-center/store/{funnelId}:
    get:
      tags:
        - Customer Access Center
      summary: Get Store Details
      description: The "Get Store Details" API allows to get store details.
      operationId: get-store-details
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoreDetailsResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
components:
  schemas:
    StoreDetailsResponseDto:
      type: object
      properties:
        status:
          type: boolean
          description: Status of api action
          example: true
        message:
          type: string
          description: Success message
          example: Successfully created
        data:
          $ref: '#/components/schemas/StoreDetailsData'
      required:
        - status
        - data
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    StoreDetailsData:
      type: object
      properties:
        name:
          type: string
          description: Store name
          example: My Store
        steps:
          description: Store steps
          type: array
          items:
            $ref: '#/components/schemas/FunnelStep'
      required:
        - name
        - steps
    FunnelStep:
      type: object
      properties:
        id:
          type: string
          description: Step ID
          example: step123
        name:
          type: string
          description: Step name
          example: Product Page
        url:
          type: string
          description: Step URL
          example: /product
        type:
          type: string
          description: Step type
          example: store
        sequence:
          type: number
          description: Step sequence number
          example: 1
        key:
          type: string
          description: Step key
          example: step123
      required:
        - id
        - name
        - url
        - type
        - sequence
        - key

````